Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalChildNodesHelper

    java.lang.Object
      com.bea.jsptools.portal.PortalChildNodesHelper

public class PortalChildNodesHelper
extends Object

Helper class for getting and potentially caching .portal file template list. Templates will be cached by web app if the enterprise app is EAR'd or if running in production mode. This is because that's the only time that you can be sure that .portal files won't be added or deleted unless there is a redeploy or server restart. If all .portal files are located in the same directory, more efficient way of attaining this list can be used. To do this, a context-param needs to be added to the web.xml of the web app. For example: portalFileDirectory / In the above example, the .portal files for that particular web app, would be located in the root dir of the web app.

Constructor Summary
`PortalChildNodesHelper()`

Method Summary
`static String[]` | `getPortalTemplates(HttpServletRequest request, String currentWebAppInc)` Get list of .portal files for a particular web app, caching it if enterprise app is deployed as EAR file, or if app is running in production mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalChildNodesHelper

    public PortalChildNodesHelper()

Method Detail

### getPortalTemplates

    public static String[] getPortalTemplates(HttpServletRequest request,
                                              String currentWebAppInc)

  Get list of .portal files for a particular web app, caching it if enterprise app is deployed as EAR file, or if app is running in production mode.

  Parameters:
    `request` -
    `currentWebAppInc` -
  Returns:
    String[] containing list of .portal file names

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved